<?php
	session_start();

  include_once "listFunctions.php";
  include_once "loginFunctions.php";
  include_once "patTemplate.php";
  include_once "dbconnection.php";

	// Initialize the patTemplate-class, and create an object.
	$tmpl = new patTemplate();

	// Set which directory contains the template-files.
	$tmpl->setBasedir("tmpl");

	// Set template
	$template_file = "index2.tmpl.html";
  $tmpl->readTemplatesFromFile($template_file);
  $tmpl->addGlobalVar("FILE_NAME", $template_file);

  $alertMsg = "";

	if(isset($_POST['name']))
	{
		$listName = $_POST['name'];
	}
	else if(isset($_GET['name']))
	{
		$listName = $_GET['name'];
	}
	if(isset($_POST['newListName']) && strlen($_POST['newListName']) > 0)
	{
		$listName = $_POST['newListName'];
	}

  // Activate account.
  if(isset($_GET['activation_id']))
  {
    DBConnect();
    DBQuery("UPDATE users SET activated=1 WHERE id='" . $_GET['activation_id'] . "'");
    $alertMsg .= "Account activated. Please enjoy the services.<br>";
    DBDisconnect();
  }
  
  // Logout
  if(isset($_POST['logout']))
  {
    logOut();
    $alertMsg .= "Logged out<br>";
  }

  // Login
  if(isset($_POST['username']) && isset($_POST['password']))
  {
    $alertMsg .= (logIn($_POST['username'], $_POST['password'])? "Logged in<br>": "Incorrect credentials.<br><a href='deleteAccount.php'>Delete account</a>?");
  }

  // Check login.
  if(isLoggedIn() == false)
  {
    $tmpl->AddVar("show_login", "CONDITION", "true");
    $tmpl->addGlobalVar("DEFAULT_FOCUS", "username");
  }
  else
  {
    $tmpl->AddVar("show_logout", "CONDITION", "true");
    $tmpl->addGlobalVar("DEFAULT_FOCUS", "list");
    $tmpl->AddVar("show_list", "CONDITION", "true");
  }
  
  // Delete
  if(isset($_GET['delete']) && isLoggedIn())
  {
    deleteList($_GET['delete']);
    $alertMsg .= "List " . $_GET['delete'] . " removed.<br>";
  }

  // Save
  if(isset($_POST['save']) && isLoggedIn())
  {
    updateOrAdd($listName, $_POST['list']);
    $alertMsg .= "List " . $listName . " saved.<br>";
  }

	if(isset($_SESSION['own_user_id']))
	{
		DBConnect();
		$result = DBQuery("SELECT * FROM lists WHERE user_id='" . $_SESSION['own_user_id'] . "' ORDER BY id ASC, name ASC");
		$rows = mysql_num_rows($result);
		if($rows > 0)
		{
			$listText = mysql_result($result, 0, "list");
			for($i = 0; $i < $rows; $i++)
			{
				$tmpl->addVar("name", "NAME", utf8Clean(mysql_result($result, $i, "name")));
				if(isset($listName) && mysql_result($result, $i, "name") == $listName)
				{
					$tmpl->addVar("name", "SELECTED", "selected");
					$listText = mysql_result($result, $i, "list");
				}
				else
				{
					$tmpl->addVar("name", "SELECTED", "");
				}
				$tmpl->parseTemplate("name", "a");
			}
			$tmpl->addVar("list", "LIST", utf8Clean($listText));
			$tmpl->parseTemplate("list", "a");
		}
		DBDisconnect();
	}

  if(strlen($alertMsg) > 0)
  {
    $tmpl->addGlobalVar("ALERTS", $alertMsg);
    $tmpl->AddVar("show_alerts", "CONDITION", "true");
  }

  $tmpl->displayParsedTemplate("body");

?>